Bug 8802 - Library group records - category type reverts to "searchdomain" when editing group record
Summary: Library group records - category type reverts to "searchdomain" when editing ...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P4 normal (vote)
Assignee: Jonathan Druart
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-21 15:57 UTC by e-Libris Technologies
Modified: 2016-12-05 21:22 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 8802: On editing a library group category type is not set (1.02 KB, patch)
2015-04-01 14:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 8802: On editing a library group category type is not set (1.09 KB, patch)
2015-04-16 02:30 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 8802: On editing a library group category type is not set (1.15 KB, patch)
2015-04-17 15:26 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description e-Libris Technologies 2012-09-21 15:57:57 UTC
If you create a Library Group and select "properties" as the category type, the category type automatically reverts to "searchdomain" whenever you edit the group record.
Comment 1 Katrin Fischer 2014-11-10 00:08:19 UTC
Still valid on current master.
Comment 2 Jonathan Druart 2015-04-01 14:26:24 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2015-04-16 02:30:43 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-04-17 15:26:51 UTC
Created attachment 38089 [details] [review]
[PASSED QA] Bug 8802: On editing a library group category type is not set

The category type was always set to 'searchdomain', because it's the
first of the dropdown list.

Test plan:
1/ Create or edit a library group
2/ Set the category type to "properties"
3/ Edit it again
4/ Confirm "properties" is correctly selected

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 5 Tomás Cohen Arazi 2015-06-23 13:22:25 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 6 Chris Cormack 2015-07-12 21:52:29 UTC
Pushed to 3.20.x will be in 3.20.2
Comment 7 Liz Rea 2015-07-20 22:13:05 UTC
Pushed to 3.18.x will be in 3.18.09
Comment 8 Mason James 2015-07-25 13:01:02 UTC
Pushed to 3.16.x, will be in 3.16.13